# Purpose:	Agent file for ecachepanic module
# Author:	Carsten Lorbeer
# Date:		20/04/2000
#
# SCCS:
# @(#)ecachepanic-d.x    1.14 01/07/27 15:48:13

[ use MANAGED-MODULE ]
[ load ecachepanic-m.x ]
[ requires package pscan ]
[ requires template ecachepanic-models-d ]


userAccess(%generalUsers,read) = noauth
groupAccess(%generalGroups,read) = noauth

_services = { [ use SERVICE ]
	sh = {
		command = "pipe://localhost//bin/sh;transport=shell"
		max = 2
		}
}


_procedures = {
        [ use PROC ]
        [ source  ecachepanic-d.prc ]
} 


panicstat = { [ use templates.ecachepanic-models-d.panicstat _procedures ]
		
	refreshService      = _internal

	filename = {
		defaultvalue = ""
	}
	
	scanlevel = {
		defaultvalue = "incr"
	}
	
	#key = {
	#	defaultvalue = ""	
	#}			
        
        
        instDate = { [ use _procedures ]
                type            = active
                refreshService  = _internal
                refreshCommand  = getMTime /var/sadm/system/admin/INST_RELEASE
		initInterval    = 10
                refreshInterval = 120
         }
         

         
         panicTable = { [ use _procedures ]           
        	type            = active
        	refreshService  = _internal
        	refreshCommand  = pscanfile
		initInterval    = 30
		initHoldoff     = 60
        	refreshInterval = 120
        }
 
}

cpupanic = { [ use templates.ecachepanic-models-d.cpupanic _procedures ]
	     

	cpupanicTable = { [ use _procedures ]
		refreshService = _internal
		type		= active
		refreshCommand  = refreshCPUTable
		refreshFilter	= join
		initInterval    = 20
		refreshInterval = 60 
		cpupanicEntry = { [ use _procedures ]
			consoleHint:tableCommands = unload disable 
			consoleHint:commandLabel(unload) = base.console.ConsoleGeneric:tableRow.deletePopup
			consoleHint:commandSpec(unload) = requestTableRowOperation %windowID snmp://%targetHost:%targetPort/mod/ecachepanic/cpupanic/cpupanicTable/cpupanicEntry/rowstatus#%targetFragment unload
			consoleHint:commandLabel(disable) = base.modules.ecachepanic:ResetCpu
			consoleHint:commandSpec(disable) = requestTableRowOperation %windowID snmp://%targetHost:%targetPort/mod/ecachepanic/cpupanic/cpupanicTable/cpupanicEntry/rowstatus#%targetFragment disable
 

                	
                	rowstatus = { [ use _procedures ]
                		access	= rw
                		
				setrowActions(destroy)		= remove
				setrowCommand(remove)		= removeCPUEntry %index %rowname
				
				setrowActions(notInService)	= reset
				setrowCommand(reset)		= resetCPUList %index %rowname
                	}
                	
			Id = {			 
			}
			
			cpuId = { 			
			}

			previousPanicDesc = { 			
			}
						
			previousPanic = { 			
			}
			
			currentPanicDesc = {			
			}
						
			currentPanic = {			
			}
			
			panicDelta = {			
			}
			
			panicType = { 				
			}
		}
	}			

}

panicpattern = { [ use templates.ecachepanic-models-d.panicpattern _procedures ]
		
		
		
	refreshService = _internal
	type		= active
	refreshCommand  = refreshPatternTable
	refreshFilter	= join
	initInterval    = 20
	refreshInterval = 60

         patternTable = {
         	patternEntry =  { [ use _procedures ]
                consoleHint:tableCommands = unload addrow editrow

                consoleHint:commandLabel(unload) = base.console.ConsoleGeneric:tableRow.deletePopup
                consoleHint:commandSpec(unload) = requestTableRowOperation %windowID snmp://%targetHost:%targetPort/mod/ecachepanic/panicpattern/patternTable/patternEntry/rowstatus#%targetFragment unload 
 		consoleHint:commandLabel(addrow) = base.console.ConsoleGeneric:tableRow.addPopup
   		consoleHint:commandSpec(addrow) = launchUniqueDialog %windowID .templates.tools.rowadder objectUrl=snmp://%targetHost:%targetPort/mod/ecachepanic/panicpattern/patternTable/patternEntry#%targetFragment
  		consoleHint:commandLabel(editrow) = base.console.ConsoleGeneric:tableRow.editPopup
                consoleHint:commandSpec(editrow) = launchUniqueDialog %windowID .templates.tools.roweditor objectUrl=snmp://%targetHost:%targetPort/mod/ecachepanic/panicpattern/patternTable/patternEntry#%targetFragment
                consoleHint:tableHeaderCommands = addrow

                	globActions          = sync refresh
                	globService(sync)    = panicpattern
                	globCommand(sync)    = syncPatternList
                	globService(refresh) = panicpattern
                	globCommand(refresh) = refreshValueAndTrap
                	
                	
                	rowstatus = { [ use _procedures ]
                		access	= rw
 				setrowService()			= panicpattern

				setrowActions(createAndGo)	= add
				setrowActions(createAndWait)	= add
				setrowCommand(add)		= addPattern %index %rowname %newvalue

				setrowActions(destroy)		= remove
				setrowCommand(remove)		= removePattern %index %rowname
                	}
 
                	name = {
                		access				= rw
				consoleHint:editAccess = ro
                    		setActions          = update
                    		setService(update)  = _superior
                    		setCommand(update)  = updateInstances
                	}
               	
                	desc = {
                    		access = rw
 
                    		setActions                = *define decrglob
                    		setService(define)        = panicpattern
                    		setCommand(define)        = setPattern dlist %rowname %value
                	}
 
                	pattern = {
                    		access = rw
 
                    		setActions                = *define decrglob
                    		setService(define)        = panicpattern
                    		setCommand(define)        = setPattern plist %rowname %value
                	}
                	
                	kpattern = {
                    		access = rw
 
                    		setActions                = *define decrglob
                    		setService(define)        = panicpattern
                    		setCommand(define)        = setPattern kplist %rowname %value
                	}

                        severity = {
                                access = rw

                                setActions                = *define decrglob
                                setService(define)        = panicpattern
                                setCommand(define)        = setPattern sevlist %rowname %value
                        }
                	
                	currentMatch = {
                		defaultvalue = 0
                	}
			
			currentMatchDesc = {
                		defaultvalue = ""
                	}
                	
                	previousMatch = {
                		defaultvalue = 0
                	}
			
			previousMatchDesc = {
                		defaultvalue = ""
                	}
			
                	delta = {
                		defaultvalue = ""
                		
                 	}
               
        	
         	}
         }
         
}

 
[ load ecachepanic-d.def ]
